/**
 * Easy Coverage for Java
 * <p>
 * Copyright 2011-2012 Tocea Technology Solutions http://www.tocea.com
 * <p>
 * This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
 * <p>
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 * <p>
 * You should have received a copy of the GNU Lesser General Public License along with this library. If not, see
 * <http://www.gnu.org/licenses/>.
 * <p>
 **/

package com.tocea.easycoverage.annotations;



import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;



/**
 * This annotation is used to mark a method or a constructor that mustn't be tested with automatic tests
 * <p>
 * 
 * @author $Author: agouriou $
 * @since 6 mars 2012
 * @copyright Copyright (C) 2010-2012 TOCEA
 */
@Documented
@Inherited
@Retention(RetentionPolicy.RUNTIME)
@Target({
        ElementType.CONSTRUCTOR, ElementType.METHOD, ElementType.TYPE })
public @interface SkipAutomaticTests {
    //
}
